//
// apt-ftparchive and update-repository Configuration
//

APT::FTPArchive::Release {
	Origin "AfuLinux";
	Label "AfuLinux Repository";
	Description "This is the AfuLinux Debian Repository";
	NotAutomatic "yes";
	ButAutomaticUpgrades "yes";
};

UpdateRepository {
	Sources::URL "http://www.afulinux.de/debian";
	Repository::URL "https://www.afulinux.de/debian";
	Archive::URL "../debian-archive/";
	Impressum::URL "https://www.afulinux.de/impressum.html";
	e-mail::URL "https://www.afulinux.de/e-mail";
	Release::GpgKey "AEB519A0";
	Maintainer "Andreas Stempfhuber <debian@afulinux.de>";
};

Dir {
	ArchiveDir ".";
	CacheDir ".";
};

Default {
	Packages::Compress ". gzip xz";
	Sources::Compress ". gzip xz";
	Contents::Compress ". gzip xz";
};

TreeDefault {
	BinCacheDB "pool/cache.db";
	SrcCacheDB "pool/source.db";
	Directory "pool/$(DIST)-$(SECTION)";
	SrcDirectory "pool/$(DIST)-$(SECTION)";

	Packages "dists/$(DIST)/$(SECTION)/binary-$(ARCH)/Packages";
	Sources "dists/$(DIST)/$(SECTION)/source/Sources";
	Contents "dists/$(DIST)/$(SECTION)/Contents-$(ARCH)";
};

//
// One tree section for each release, from oldest to newest
//
Tree "jessie-afulinux" {
	Sections "main contrib non-free";
	Architectures "amd64 i386 source";

	UpdateRepository {
		Signed-By "false";			// sources.list Signed-By option not supported
        	Status "archived";			// Status message for readme.html
		Sections::Foreign "";			// Foreign or binary-only sections with no *.dsc files
	}
};

Tree "stretch-afulinux" {
	Sections "main contrib non-free";
	Architectures "amd64 i386 source";

	UpdateRepository {
        	Status "archived";			// Status message for readme.html
		Sections::Foreign "";			// Foreign or binary-only sections with no *.dsc files
	}
};

Tree "buster-afulinux" {
	Sections "main contrib non-free third-party";
	Architectures "amd64 i386 source";

	UpdateRepository {
        	Status "";				// Status message for readme.html
		Sections::Foreign "third-party";	// Foreign or binary-only sections with no *.dsc files
	}
};

//Tree "bullseye-afulinux" {
//	Sections "main contrib non-free third-party";
//	Architectures "amd64 i386 source";
//
//	UpdateRepository {
//        	Status "";				// Status message for readme.html
//		Sections::Foreign "third-party";	// Foreign or binary-only sections with no *.dsc files
//	}
//};

Tree "bookworm-afulinux" {
	Sections "main contrib non-free third-party";
	Architectures "amd64 i386 source";

	UpdateRepository {
        	Status "";				// Status message for readme.html
		Sections::Foreign "third-party";	// Foreign or binary-only sections with no *.dsc files
	}

};
